{"openapi":"3.0.1","info":{"title":"60 Seconds API","version":"v1"},"paths":{"/api/activity/addcomment":{"post":{"tags":["Activity"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Comment"}},"text/json":{"schema":{"$ref":"#/components/schemas/Comment"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Comment"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}}}}}}},"/api/activity/addlike":{"post":{"tags":["Activity"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Like"}},"text/json":{"schema":{"$ref":"#/components/schemas/Like"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Like"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}}}}}}},"/api/Company/save":{"post":{"tags":["Company"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Company"}},"text/json":{"schema":{"$ref":"#/components/schemas/Company"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Company"}}}},"responses":{"200":{"description":"Success"}}}},"/api/Company/delete/{id}":{"delete":{"tags":["Company"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}}}}}}},"/api/Company/list":{"get":{"tags":["Company"],"parameters":[{"name":"PerPage","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"PageNo","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"IncludeTotals","in":"query","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/CompanyListResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/CompanyListResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/CompanyListResponseModel"}}}}}}},"/api/Company/list/{id}":{"get":{"tags":["Company"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/CompanyResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/CompanyResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/CompanyResponseModel"}}}}}}},"/api/delivery/adddelivery":{"post":{"tags":["Delivery"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Delivery"}},"text/json":{"schema":{"$ref":"#/components/schemas/Delivery"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Delivery"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/DeliveryResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/DeliveryResponseModel"}}}}}}},"/api/delivery/update":{"post":{"tags":["Delivery"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Delivery"}},"text/json":{"schema":{"$ref":"#/components/schemas/Delivery"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Delivery"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/DeliveryResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/DeliveryResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/DeliveryResponseModel"}}}}}}},"/api/delivery/deletedelivery":{"post":{"tags":["Delivery"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Delivery"}},"text/json":{"schema":{"$ref":"#/components/schemas/Delivery"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Delivery"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}}}}}}},"/api/gallery/getall":{"post":{"tags":["Gallery"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetById"}},"text/json":{"schema":{"$ref":"#/components/schemas/GetById"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/GetById"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/GalleryVideoResponseModelGetAll"}},"application/json":{"schema":{"$ref":"#/components/schemas/GalleryVideoResponseModelGetAll"}},"text/json":{"schema":{"$ref":"#/components/schemas/GalleryVideoResponseModelGetAll"}}}}}}},"/api/Pitch/addfeedback":{"post":{"tags":["Pitch"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Feedback"}},"text/json":{"schema":{"$ref":"#/components/schemas/Feedback"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Feedback"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/FeedbackResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/FeedbackResponseModel"}}}}}}},"/api/Pitch/movetocompleted":{"post":{"tags":["Pitch"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pitch"}},"text/json":{"schema":{"$ref":"#/components/schemas/Pitch"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Pitch"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}}}}}}},"/api/scenario/addScenario":{"post":{"tags":["Scenario"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Scenario"}},"text/json":{"schema":{"$ref":"#/components/schemas/Scenario"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Scenario"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ScenarioResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ScenarioResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ScenarioResponseModel"}}}}}}},"/api/scenario/updatescenario":{"post":{"tags":["Scenario"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Scenario"}},"text/json":{"schema":{"$ref":"#/components/schemas/Scenario"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Scenario"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}}}}}}},"/api/scenario/deletescenario":{"post":{"tags":["Scenario"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Scenario"}},"text/json":{"schema":{"$ref":"#/components/schemas/Scenario"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Scenario"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}}}}}}},"/api/scenario/getscenario":{"post":{"tags":["Scenario"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetById"}},"text/json":{"schema":{"$ref":"#/components/schemas/GetById"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/GetById"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ScenarioResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ScenarioResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ScenarioResponseModel"}}}}}}},"/api/script/addscript":{"post":{"tags":["Script"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Script"}},"text/json":{"schema":{"$ref":"#/components/schemas/Script"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Script"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ScriptResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ScriptResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ScriptResponseModel"}}}}}}},"/api/script/updatescript":{"post":{"tags":["Script"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddScriptRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/AddScriptRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/AddScriptRequest"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ScriptResponseResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ScriptResponseResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ScriptResponseResponseModel"}}}}}}},"/api/script/deletescript":{"post":{"tags":["Script"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Script"}},"text/json":{"schema":{"$ref":"#/components/schemas/Script"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Script"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}}}}}}},"/api/script/getscript":{"post":{"tags":["Script"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetById"}},"text/json":{"schema":{"$ref":"#/components/schemas/GetById"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/GetById"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ScriptResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ScriptResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ScriptResponseModel"}}}}}}},"/api/task/addtask":{"post":{"tags":["TaskItem"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskItem"}},"text/json":{"schema":{"$ref":"#/components/schemas/TaskItem"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/TaskItem"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/TaskItemResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/TaskItemResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/TaskItemResponseModel"}}}}}}},"/api/task/addassignees":{"post":{"tags":["TaskItem"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssignedTaskListRequestModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/AssignedTaskListRequestModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/AssignedTaskListRequestModel"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}}}}}}},"/api/task/updatetask":{"post":{"tags":["TaskItem"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskItem"}},"text/json":{"schema":{"$ref":"#/components/schemas/TaskItem"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/TaskItem"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}}}}}}},"/api/task/deletetask":{"post":{"tags":["TaskItem"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskItem"}},"text/json":{"schema":{"$ref":"#/components/schemas/TaskItem"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/TaskItem"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}}}}}}},"/api/task/getalltasks":{"post":{"tags":["TaskItem"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetById"}},"text/json":{"schema":{"$ref":"#/components/schemas/GetById"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/GetById"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/TaskResponseResponseModelGetAll"}},"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponseResponseModelGetAll"}},"text/json":{"schema":{"$ref":"#/components/schemas/TaskResponseResponseModelGetAll"}}}}}}},"/api/task/gettask":{"post":{"tags":["TaskItem"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetById"}},"text/json":{"schema":{"$ref":"#/components/schemas/GetById"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/GetById"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/TaskResponseResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponseResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/TaskResponseResponseModel"}}}}}}},"/api/task/approvalrequest":{"post":{"tags":["TaskItem"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApprovalRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/ApprovalRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ApprovalRequest"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}}}}}}},"/api/user/adduser":{"post":{"tags":["User"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UserModel"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/UserModelResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/UserModelResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserModelResponseModel"}}}}}}},"/api/user/updateuser":{"post":{"tags":["User"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUserRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/UpdateUserRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UpdateUserRequest"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/UserModelResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/UserModelResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserModelResponseModel"}}}}}}},"/api/user/getalluser":{"post":{"tags":["User"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pagination"}},"text/json":{"schema":{"$ref":"#/components/schemas/Pagination"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Pagination"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseModelAuth0"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseModelAuth0"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseModelAuth0"}}}}}}},"/api/user/getuser":{"post":{"tags":["User"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetByIdAuth0"}},"text/json":{"schema":{"$ref":"#/components/schemas/GetByIdAuth0"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/GetByIdAuth0"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/UserModelResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/UserModelResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserModelResponseModel"}}}}}}},"/api/user/assignusertoroles":{"post":{"tags":["User"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserRole"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserRole"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UserRole"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}}}}}}},"/api/user/removeuserfromroles":{"post":{"tags":["User"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserRole"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserRole"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UserRole"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}}}}}}},"/api/user/getrecipients":{"post":{"tags":["User"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetRecipientRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/GetRecipientRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/GetRecipientRequest"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/UserModelResponseModelGetAll"}},"application/json":{"schema":{"$ref":"#/components/schemas/UserModelResponseModelGetAll"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserModelResponseModelGetAll"}}}}}}},"/api/user/submitRecipients":{"post":{"tags":["User"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddEmailNotificationRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/AddEmailNotificationRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/AddEmailNotificationRequest"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}}}}}}},"/api/user/sendemail":{"post":{"tags":["User"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailNotification"}},"text/json":{"schema":{"$ref":"#/components/schemas/EmailNotification"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/EmailNotification"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}}}}}}},"/api/User/savedevicetoken":{"post":{"tags":["User"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDeviceToken"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserDeviceToken"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UserDeviceToken"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ResponseModel"}}}}}}}},"components":{"schemas":{"Comment":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"addedBy":{"type":"string","nullable":true},"type":{"type":"integer","format":"int32"},"typeId":{"type":"integer","format":"int32"},"content":{"type":"string","nullable":true},"addedOn":{"type":"string","format":"date-time"},"updatedOn":{"type":"string","format":"date-time"}},"additionalProperties":false},"ResponseModel":{"type":"object","properties":{"statusCode":{"type":"integer","format":"int32"},"message":{"type":"string","nullable":true}},"additionalProperties":false},"Like":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"addedBy":{"type":"string","nullable":true},"type":{"type":"integer","format":"int32"},"typeId":{"type":"integer","format":"int32"},"addedOn":{"type":"string","format":"date-time"}},"additionalProperties":false},"ScriptField":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"title":{"type":"string","nullable":true},"description":{"type":"string","nullable":true}},"additionalProperties":false},"Company":{"required":["country","state","subDomain"],"type":"object","properties":{"companyId":{"type":"integer","format":"int32"},"companyName":{"type":"string","nullable":true},"subDomain":{"type":"string"},"email":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"country":{"type":"string"},"state":{"type":"string"},"brandName":{"type":"string","nullable":true},"logo":{"type":"string","nullable":true},"terms":{"type":"string","nullable":true},"scriptFieldCollection":{"type":"array","items":{"$ref":"#/components/schemas/ScriptField"},"nullable":true},"scriptFields":{"type":"string","nullable":true},"createdBy":{"type":"string","nullable":true},"createdOn":{"type":"string","format":"date-time"},"updatedBy":{"type":"string","nullable":true},"updatedOn":{"type":"string","format":"date-time","nullable":true},"deletedBy":{"type":"string","nullable":true},"deletedOn":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"CompanyListResponseModel":{"type":"object","properties":{"statusCode":{"type":"integer","format":"int32"},"message":{"type":"string","nullable":true},"responseObject":{"type":"array","items":{"$ref":"#/components/schemas/Company"},"nullable":true}},"additionalProperties":false},"CompanyResponseModel":{"type":"object","properties":{"statusCode":{"type":"integer","format":"int32"},"message":{"type":"string","nullable":true},"responseObject":{"$ref":"#/components/schemas/Company"}},"additionalProperties":false},"Delivery":{"type":"object","properties":{"deliveryId":{"type":"integer","format":"int32"},"state":{"type":"integer","format":"int32"},"title":{"type":"string","nullable":true},"videoUrl":{"type":"string","nullable":true},"taskId":{"type":"integer","format":"int32"},"scriptId":{"type":"integer","format":"int32"},"scenarioId":{"type":"integer","format":"int32"},"companyId":{"type":"integer","format":"int32"},"createdBy":{"type":"string","nullable":true},"createdOn":{"type":"string","format":"date-time"},"updatedBy":{"type":"string","nullable":true},"updatedOn":{"type":"string","format":"date-time","nullable":true},"deletedBy":{"type":"string","nullable":true},"deletedOn":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"DeliveryResponseModel":{"type":"object","properties":{"statusCode":{"type":"integer","format":"int32"},"message":{"type":"string","nullable":true},"responseObject":{"$ref":"#/components/schemas/Delivery"}},"additionalProperties":false},"GetById":{"type":"object","properties":{"id":{"type":"integer","format":"int32"}},"additionalProperties":false},"ScriptContent":{"type":"object","properties":{"contentId":{"type":"integer","format":"int32"},"scriptId":{"type":"integer","format":"int32"},"title":{"type":"string","nullable":true},"content":{"type":"string","nullable":true}},"additionalProperties":false},"Script":{"type":"object","properties":{"scriptId":{"type":"integer","format":"int32"},"scenarioId":{"type":"integer","format":"int32"},"title":{"type":"string","nullable":true},"state":{"type":"integer","format":"int32"},"approvedOn":{"type":"string","format":"date-time"},"scriptContents":{"type":"array","items":{"$ref":"#/components/schemas/ScriptContent"},"nullable":true},"companyId":{"type":"integer","format":"int32"},"createdBy":{"type":"string","nullable":true},"createdOn":{"type":"string","format":"date-time"},"updatedBy":{"type":"string","nullable":true},"updatedOn":{"type":"string","format":"date-time","nullable":true},"deletedBy":{"type":"string","nullable":true},"deletedOn":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"GalleryVideo":{"type":"object","properties":{"delivery":{"$ref":"#/components/schemas/Delivery"},"scriptContent":{"$ref":"#/components/schemas/ScriptContent"},"script":{"$ref":"#/components/schemas/Script"},"pitchId":{"type":"integer","format":"int32"},"companyId":{"type":"integer","format":"int32"},"createdBy":{"type":"string","nullable":true},"createdOn":{"type":"string","format":"date-time"},"updatedBy":{"type":"string","nullable":true},"updatedOn":{"type":"string","format":"date-time","nullable":true},"deletedBy":{"type":"string","nullable":true},"deletedOn":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"GalleryVideoResponseModelGetAll":{"type":"object","properties":{"objectList":{"type":"array","items":{"$ref":"#/components/schemas/GalleryVideo"},"nullable":true},"statusCode":{"type":"integer","format":"int32"},"message":{"type":"string","nullable":true}},"additionalProperties":false},"Feedback":{"type":"object","properties":{"feedbackId":{"type":"integer","format":"int32"},"taskId":{"type":"integer","format":"int32"},"content":{"type":"string","nullable":true},"type":{"type":"string","nullable":true},"companyId":{"type":"integer","format":"int32"},"createdBy":{"type":"string","nullable":true},"createdOn":{"type":"string","format":"date-time"},"updatedBy":{"type":"string","nullable":true},"updatedOn":{"type":"string","format":"date-time","nullable":true},"deletedBy":{"type":"string","nullable":true},"deletedOn":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"FeedbackResponseModel":{"type":"object","properties":{"statusCode":{"type":"integer","format":"int32"},"message":{"type":"string","nullable":true},"responseObject":{"$ref":"#/components/schemas/Feedback"}},"additionalProperties":false},"Pitch":{"type":"object","properties":{"pitchId":{"type":"integer","format":"int32"},"deliveryId":{"type":"integer","format":"int32"},"state":{"type":"integer","format":"int32"},"taskId":{"type":"integer","format":"int32"},"scriptId":{"type":"integer","format":"int32"},"scenarioId":{"type":"integer","format":"int32"},"addedBy":{"type":"string","nullable":true},"companyId":{"type":"integer","format":"int32"},"createdBy":{"type":"string","nullable":true},"createdOn":{"type":"string","format":"date-time"},"updatedBy":{"type":"string","nullable":true},"updatedOn":{"type":"string","format":"date-time","nullable":true},"deletedBy":{"type":"string","nullable":true},"deletedOn":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Scenario":{"type":"object","properties":{"scenarioId":{"type":"integer","format":"int32"},"clientId":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"state":{"type":"integer","format":"int32"},"audience":{"type":"string","nullable":true},"situation":{"type":"string","nullable":true},"keywords":{"type":"string","nullable":true},"createdBy":{"type":"string","nullable":true},"createdOn":{"type":"string","format":"date-time"},"updatedOn":{"type":"string","format":"date-time","nullable":true},"updatedBy":{"type":"string","nullable":true},"companyId":{"type":"integer","format":"int32"},"deletedBy":{"type":"string","nullable":true},"deletedOn":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"ScenarioResponseModel":{"type":"object","properties":{"statusCode":{"type":"integer","format":"int32"},"message":{"type":"string","nullable":true},"responseObject":{"$ref":"#/components/schemas/Scenario"}},"additionalProperties":false},"ScriptResponseModel":{"type":"object","properties":{"statusCode":{"type":"integer","format":"int32"},"message":{"type":"string","nullable":true},"responseObject":{"$ref":"#/components/schemas/Script"}},"additionalProperties":false},"AddScriptRequest":{"type":"object","properties":{"scriptContents":{"type":"array","items":{"$ref":"#/components/schemas/ScriptContent"},"nullable":true},"scriptDetails":{"$ref":"#/components/schemas/Script"}},"additionalProperties":false},"ScriptResponse":{"type":"object","properties":{"scriptContents":{"type":"array","items":{"$ref":"#/components/schemas/ScriptContent"},"nullable":true},"script":{"$ref":"#/components/schemas/Script"}},"additionalProperties":false},"ScriptResponseResponseModel":{"type":"object","properties":{"statusCode":{"type":"integer","format":"int32"},"message":{"type":"string","nullable":true},"responseObject":{"$ref":"#/components/schemas/ScriptResponse"}},"additionalProperties":false},"TaskItem":{"type":"object","properties":{"taskId":{"type":"integer","format":"int32"},"taskTitle":{"type":"string","nullable":true},"state":{"type":"integer","format":"int32"},"scriptId":{"type":"integer","format":"int32"},"scenarioId":{"type":"integer","format":"int32"},"addedBy":{"type":"string","nullable":true},"companyId":{"type":"integer","format":"int32"},"createdBy":{"type":"string","nullable":true},"createdOn":{"type":"string","format":"date-time"},"updatedBy":{"type":"string","nullable":true},"updatedOn":{"type":"string","format":"date-time","nullable":true},"deletedBy":{"type":"string","nullable":true},"deletedOn":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"TaskItemResponseModel":{"type":"object","properties":{"statusCode":{"type":"integer","format":"int32"},"message":{"type":"string","nullable":true},"responseObject":{"$ref":"#/components/schemas/TaskItem"}},"additionalProperties":false},"AssignedTask":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"createdBy":{"type":"string","nullable":true},"assignedTo":{"type":"string","nullable":true},"assignedOn":{"type":"string","format":"date-time"},"companyId":{"type":"integer","format":"int32"},"state":{"type":"integer","format":"int32"}},"additionalProperties":false},"AssignedTaskListRequestModel":{"type":"object","properties":{"objectList":{"type":"array","items":{"$ref":"#/components/schemas/AssignedTask"},"nullable":true}},"additionalProperties":false},"TaskResponse":{"type":"object","properties":{"taskDetails":{"$ref":"#/components/schemas/TaskItem"},"scriptState":{"type":"integer","format":"int32"},"scenarioState":{"type":"integer","format":"int32"}},"additionalProperties":false},"TaskResponseResponseModelGetAll":{"type":"object","properties":{"objectList":{"type":"array","items":{"$ref":"#/components/schemas/TaskResponse"},"nullable":true},"statusCode":{"type":"integer","format":"int32"},"message":{"type":"string","nullable":true}},"additionalProperties":false},"TaskResponseResponseModel":{"type":"object","properties":{"statusCode":{"type":"integer","format":"int32"},"message":{"type":"string","nullable":true},"responseObject":{"$ref":"#/components/schemas/TaskResponse"}},"additionalProperties":false},"ApprovalRequest":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"type":{"type":"integer","format":"int32"},"typeId":{"type":"integer","format":"int32"},"userId":{"type":"string","nullable":true}},"additionalProperties":false},"UserModel":{"type":"object","properties":{"firstName":{"type":"string","nullable":true},"lastName":{"type":"string","nullable":true},"phoneNumber":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"password":{"type":"string","nullable":true},"role":{"type":"string","nullable":true},"reportsTo":{"type":"string","nullable":true},"pictureUrl":{"type":"string","nullable":true},"companyName":{"type":"string","nullable":true}},"additionalProperties":false},"UserModelResponseModel":{"type":"object","properties":{"statusCode":{"type":"integer","format":"int32"},"message":{"type":"string","nullable":true},"responseObject":{"$ref":"#/components/schemas/UserModel"}},"additionalProperties":false},"UpdateUserRequest":{"type":"object","properties":{"userDetails":{"$ref":"#/components/schemas/UserModel"},"userId":{"type":"string","nullable":true}},"additionalProperties":false},"Pagination":{"type":"object","properties":{"perPage":{"type":"integer","format":"int32"},"pageNo":{"type":"integer","format":"int32"},"includeTotals":{"type":"boolean"}},"additionalProperties":false},"ResponseModelAuth0":{"type":"object","properties":{"statusCode":{"type":"integer","format":"int32"},"message":{"type":"string","nullable":true},"userlist":{"type":"array","items":{"$ref":"#/components/schemas/UserModel"},"nullable":true}},"additionalProperties":false},"GetByIdAuth0":{"type":"object","properties":{"id":{"type":"string","nullable":true}},"additionalProperties":false},"UserRole":{"type":"object","properties":{"roleNames":{"type":"array","items":{"type":"string"},"nullable":true},"userId":{"type":"string","nullable":true}},"additionalProperties":false},"GetRecipientRequest":{"type":"object","properties":{"userId":{"type":"string","nullable":true},"userEmail":{"type":"string","nullable":true}},"additionalProperties":false},"UserModelResponseModelGetAll":{"type":"object","properties":{"objectList":{"type":"array","items":{"$ref":"#/components/schemas/UserModel"},"nullable":true},"statusCode":{"type":"integer","format":"int32"},"message":{"type":"string","nullable":true}},"additionalProperties":false},"EmailNotification":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"notificationFrom":{"type":"string","nullable":true},"notificationToEmail":{"type":"string","nullable":true},"subject":{"type":"string","nullable":true},"emailTemplate":{"type":"string","nullable":true},"type":{"type":"integer","format":"int32"},"typeId":{"type":"integer","format":"int32"}},"additionalProperties":false},"AddEmailNotificationRequest":{"type":"object","properties":{"listEmailNotificationDetails":{"type":"array","items":{"$ref":"#/components/schemas/EmailNotification"},"nullable":true}},"additionalProperties":false},"UserDeviceToken":{"required":["deviceToken","deviceType","userId"],"type":"object","properties":{"userId":{"type":"string"},"deviceToken":{"type":"string"},"deviceType":{"type":"integer","format":"int32"},"companyId":{"type":"integer","format":"int32"},"createdBy":{"type":"string","nullable":true},"createdOn":{"type":"string","format":"date-time"},"updatedBy":{"type":"string","nullable":true},"updatedOn":{"type":"string","format":"date-time","nullable":true},"deletedBy":{"type":"string","nullable":true},"deletedOn":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}}}